Loading...
Searching...
No Matches
etl::iterator< TCategory, T, TDistance, TPointer, TReference > Struct Template Reference

iterator More...

`#include <iterator.h>`

## Public Types

typedef T | value_type
typedef TDistance | difference_type
typedef TPointer | pointer
typedef TReference | reference
typedef TCategory | iterator_category

## Detailed Description

template<typename TCategory, typename T, typename TDistance = ptrdiff_t, typename TPointer = T*, typename TReference = T&>
struct etl::iterator< TCategory, T, TDistance, TPointer, TReference >

iterator

The documentation for this struct was generated from the following file:

- include/etl/iterator.h